%define upstream_name    Furl
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Response object for Furl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTTP::Parser::XS) >= 0.110.0
BuildRequires: perl(Mozilla::CA)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 1.60.0
BuildArch:  noarch

%description
Furl is yet another HTTP client library. LWP is the de facto standard HTTP
client for Perl5, but it is too slow for some critical jobs, and too
complex for weekend hacking. Furl resolves these issues. Enjoy it!

This library is an *beta* software. Any API may change without notice.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml TODO example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 367514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.20.0-1.mga3
+ Revision: 342189
- update to 1.02

* Tue Nov 06 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 315064
- update to 1.00

* Wed Oct 17 2012 jquelin <jquelin> 0.420.0-1.mga3
+ Revision: 307571
- update to 0.42

* Wed Sep 26 2012 jquelin <jquelin> 0.410.0-1.mga3
+ Revision: 298004
- update to 0.41

* Tue Jun 05 2012 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 254968
- update to 0.40

* Fri Oct 14 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 154771
- update to 0.38
- update to 0.37
- update to 0.35
- update to 0.34

* Thu Jun 30 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 116642
- imported package perl-Furl

